POS Invoice Details

Retrieve complete details of all Smart POS invoices

GET
/api/v1/merchant/smartpos-invoices/{id}
AuthorizationBearer <token>

Pass access token obtained from login endpoint

In: header

Path Parameters

idnumber

Pass the invoice object ID

Query Parameters

datastring

Convert payload JSON object to encrypted string and send it to the server

Sample Encryption and Decryption Process:

The following steps demonstrate how to integrate with this API using sandbox credentials.

Step 1: Create JSON Object

{
  "merchantCode": "842217", // Pass the merchant code provided by Hesabe
}

Payload details:

Contains the list of parameters and their corresponding values required to make the API request.

Field NameDescriptionRequired
merchantCodePass the merchant code provided by HesabeYes

Step 2: Convert the JSON object into an encrypted string format and post to Hesabe

{
  "data": "0e7898bd7464d0c402fe8a949d9cbf9b826ccb9b83b56fa003373275f1947a65"
}

Step 3: Receive encrypted response from Hesabe:

{
  "response": "60a8f6241932227b840a9f5e36987f4d6e83f67b801dc5d57e0689db34b2b20216234668710f7725150b7f1f7a3ec1af3239d94f82e7689855bcf17241734aa08ac35248d7734cf248381f3731717942d5ca86d174849bd6e762f53f19e29fa71adbe7c878da3fede338777e3256237a51b8967b5bd92e88abdcfaebc24917ea5a4f271e9420410f36c082648b1843f29b6223831aab4b598f05579d1e974dcd70d8ce2d4a4054f603289cfcc58211d0963f811f6574520032fecb0d89ad62c29010299e6a4b7b28855bc7e87bd6857c166c5b9b2f52365968efacea77af50a659b477f444fbe1d3a1b8f8e28fed865d6bce2b8a022839bd44201c1daf2b6a1e1b8ba563adf858e877895b7cf0af375a3d5c078c253df2bb9dc3508c30025c0e70f824b084170b9d2e01df49156ff41676c5eca30f41d732d1ab69d677bd47ae410ee0e9c342cae3d31c922d1a3c4faafdfb353b96762e17314840478bc8942a532c27c61d05e84027dfa12fb2b92242b1b8a146bd1f6e603ed2f81bcc49ec40d6a2b91eab30f8bceb6847bdba5c8a49793695b1de9319236aacdfcf00ca39cbf87652aab22b9450fc006f9745b51ed94482ee4cc2241e3b3f3830cba1c3da9d453bd1e5a585d4c3c32c5a5444b18b1976eeabc77c921a8fb7bb88881691ee45ba48d94e9ac38982311968c7c25355e5ce5f8e3a649dd0c4fadac9b61867c9f53d8ffbc7202f9a12d8e96073c7a58042543b86457949df0b62c0c6802c2656eb"
}

Step 4: Decrypt the API response and view the JSON output

{
  "status": true,
  "message": "SmartPOS Invoice Details",
  "response": {
    "id": 330,
    "transaction_id": "297012988417846158859758846432",
    "invoice_number": "tt34",
    "amount": "0.010",
    "terminal_id": "29701298",
    "merchant_id": 84,
    "merchant_name": "HomeMerchant01",
    "terminal_name": "Tsmart1234-23",
    "customer_name": "Thaaaz",
    "customer_email": "",
    "customer_phone": "",
    "description": "this is test",
    "status": 0,
    "payment_type_id": null,
    "paid_at": null,
    "created_by": 84,
    "created_by_name": "test",
    "created_at": "2026-07-21 09:38:05",
    "updated_at": "2026-07-21 09:38:05"
  }
}

Header Parameters

accessCodestring

Pass the merchant access code issued by Hesabe

Acceptstring

application/json

Content-Typestring

application/json

Response Body

application/json

application/json

application/json

application/json

fetch("https://merchantapisandbox.hesabe.com/api/v1/merchant/smartpos-invoices/330?data=0e7898bd7464d0c402fe8a949d9cbf9b826ccb9b83b56fa003373275f1947a65", {  method: "GET",  headers: {    "accessCode": "c333729b-d060-4b74-a49d-7686a8353481",    "Accept": "application/json",    "Content-Type": "application/json"  }})
{
  "status": true,
  "message": "SmartPOS Invoice Details",
  "response": {
    "id": 330,
    "transaction_id": "297012988417846158859758846432",
    "invoice_number": "tt34",
    "amount": "0.010",
    "terminal_id": "29701298",
    "merchant_id": 84,
    "merchant_name": "HomeMerchant01",
    "terminal_name": "Tsmart1234-23",
    "customer_name": "Thaaaz",
    "customer_email": "",
    "customer_phone": "",
    "description": "this is test",
    "status": 0,
    "payment_type_id": null,
    "paid_at": null,
    "created_by": 84,
    "created_by_name": "test",
    "created_at": "2026-07-21 09:38:05",
    "updated_at": "2026-07-21 09:38:05"
  }
}
{
  "status": false,
  "message": "Request not found, Please verify the request data",
  "response": null
}
{
  "message": "Internal server error occurred"
}
{
  "status": false,
  "code": 506,
  "message": "Invalid Request Data",
  "response": null
}